<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>KSPCGS</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="KSPCGS"><H1>KSPCGS</H1></A>
This code implements the CGS (Conjugate Gradient Squared) method.  
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<DT><B>see <A HREF="../KSP/KSPSolve.html#KSPSolve">KSPSolve</A>()</B> -

<br>
<P>
Notes: Reference: Sonneveld, 1989.
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../KSP/KSPCreate.html#KSPCreate">KSPCreate</A>(), <A HREF="../KSP/KSPSetType.html#KSPSetType">KSPSetType</A>(), <A HREF="../KSP/KSPType.html#KSPType">KSPType</A> (for list of available types), <A HREF="../KSP/KSP.html#KSP">KSP</A>, <A HREF="../KSP/KSPBCGS.html#KSPBCGS">KSPBCGS</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/ksp/impls/cgs/cgs.c.html#KSPCGS">src/ksp/ksp/impls/cgs/cgs.c</A>
<BR><A HREF="./index.html">Index of all KSP routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
